Page MenuHomePhabricator

Add namespace aliases to zhwikivoyage
Closed, ResolvedPublic

Description

Per local disscusion (1), please add following namespace aliases to zhwikivoyage

  1. WT→Wikivoyage talk
  2. U→User
  3. UT→User Talk
  4. T→Template
  5. CAT→Category
  6. H→Help
  7. F→File
  8. FT→File Talk

Original request: T198006

Event Timeline

Restricted Application added a project: User-Urbanecm. · View Herald TranscriptJun 23 2018, 11:11 AM
Restricted Application added subscribers: Cosine02, Aklapper. · View Herald Transcript
Urbanecm triaged this task as Medium priority.Jun 23 2018, 11:16 AM

Change 441593 had a related patch set uploaded (by Urbanecm; owner: Urbanecm):
[operations/mediawiki-config@master] Add namespace aliases to zhwikivoyage

https://gerrit.wikimedia.org/r/441593

Urbanecm moved this task from Backlog to To deploy on the User-Urbanecm board.Jun 23 2018, 11:23 AM
Wong128hk moved this task from Backlog to Site configuration on the Chinese-Sites board.

Change 441593 merged by jenkins-bot:
[operations/mediawiki-config@master] Add namespace aliases to zhwikivoyage

https://gerrit.wikimedia.org/r/441593

Mentioned in SAL (#wikimedia-operations) [2018-06-25T13:50:12Z] <hashar@deploy1001> Synchronized wmf-config/InitialiseSettings.php: Add namespace aliases to zhwikivoyage - T198007 (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2018-06-25T13:54:43Z] <hashar> mwscript namespaceDupes.php --wiki=zhwikivoyage --fix | T198007

hashar added a subscriber: hashar.Jun 25 2018, 1:56 PM

After the patch got deployed:

$ mwscript namespaceDupes.php --wiki=zhwikivoyage
0 pages to fix, 0 were resolvable.

pagelinks from=9352 ns=0 dbk=WT:Gadget -> Wikivoyage_talk:Gadget DRY RUN
pagelinks from=3063 ns=0 dbk=WT:TW -> Wikivoyage_talk:TW DRY RUN
pagelinks from=3065 ns=0 dbk=WT:TW -> Wikivoyage_talk:TW DRY RUN
pagelinks from=2407 ns=0 dbk=H:目录 -> Help:目录 DRY RUN
pagelinks from=12848 ns=0 dbk=Cat:中華人民共和國行政區劃 -> Category:中華人民共和國行政區劃 DRY RUN
pagelinks from=12848 ns=0 dbk=Cat:應用科學 -> Category:應用科學 DRY RUN
pagelinks from=12848 ns=0 dbk=Cat:音樂 -> Category:音樂 DRY RUN
7 links to fix, 7 were resolvable.

Ran again with --fix:

$ mwscript namespaceDupes.php --wiki=zhwikivoyage --fix
0 pages to fix, 0 were resolvable.

pagelinks from=9352 ns=0 dbk=WT:Gadget -> Wikivoyage_talk:Gadget
pagelinks from=3063 ns=0 dbk=WT:TW -> Wikivoyage_talk:TW
pagelinks from=3065 ns=0 dbk=WT:TW -> Wikivoyage_talk:TW
pagelinks from=2407 ns=0 dbk=H:目录 -> Help:目录
pagelinks from=12848 ns=0 dbk=Cat:中華人民共和國行政區劃 -> Category:中華人民共和國行政區劃
pagelinks from=12848 ns=0 dbk=Cat:應用科學 -> Category:應用科學
pagelinks from=12848 ns=0 dbk=Cat:音樂 -> Category:音樂
7 links to fix, 7 were resolvable.

Looks good!

Runniing it one last time shows there is still one pagelink fixable:

$ mwscript namespaceDupes.php --wiki=zhwikivoyage
0 pages to fix, 0 were resolvable.

pagelinks from=2407 ns=0 dbk=H:目录 -> Help:目录 DRY RUN
1 links to fix, 1 were resolvable.

I think mwscript namespaceDupes.php --wiki=zhwikivoyage --fix --add-prefix=T198007 should be run.

I ran mwscript namespaceDupes.php --wiki=zhwikivoyage --fix --add-prefix=T198007 but the faulty pagelinks is still around:

pagelinks from=2407 ns=0 dbk=H:目录 -> Help:目录 DRY RUN

The page is https://zh.wikivoyage.org/wiki/Wikivoyage:%E4%BA%92%E5%8A%A9%E5%AE%A2%E6%A0%88/%E5%AD%98%E6%AA%94/2014%E5%B9%B41%E6%9C%88%E8%87%B33%E6%9C%88#%E8%B2%8C%E4%BC%BC%E5%91%BD%E5%90%8D%E7%A9%BA%E9%97%B4%E8%BF%98%E6%9C%89%E4%BA%9B%E9%97%AE%E9%A2%98

It has a link [[H:目录]] which is aliased to Help:目录 and that page is a redirect https://zh.wikivoyage.org/w/index.php?title=Help:%E7%9B%AE%E5%BD%95&redirect=no

Vvjjkkii renamed this task from Add namespace aliases to zhwikivoyage to 4eaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii removed Urbanecm as the assignee of this task.
Vvjjkkii raised the priority of this task from Medium to High.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptJul 1 2018, 1:02 AM
RazeSoldier renamed this task from 4eaaaaaaaa to Add namespace aliases to zhwikivoyage.Jul 1 2018, 2:57 AM
RazeSoldier assigned this task to Urbanecm.
RazeSoldier lowered the priority of this task from High to Medium.
RazeSoldier updated the task description. (Show Details)
RazeSoldier edited subscribers, added: GerritBot, Aklapper; removed: Dereckson.
Urbanecm closed this task as Resolved.Jul 8 2018, 9:19 PM
BJ6123C7BTD removed a subscriber: BJ6123C7BTD.